jdebug Documentation: Class GeneralCommands

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger
Class GeneralCommands

    java.lang.Object
      |
      +--jde.debugger.ApplicationCommands
            |
            +--jde.debugger.GeneralCommands

public class GeneralCommands
extends ApplicationCommands

GeneralCommands.java

Handles general commands. Jump to '`run`', '`finish`', '`evaluate`' '`get_object`', '`get_array`', '`get_locals`', '`get_loaded_classes`', '`get_path_information`', '`trace_classes`', '`cancel_trace_classes`', '`trace_methods`', '`cancel_trace_methods`'

Created: Fri Jul 30 16:29:00 1999

Since:
  0.1

Fields inherited from class jde.debugger.ApplicationCommands
`app, identifiableEventRequests, store`

Constructor Summary
`GeneralCommands(Application a, ObjectStore s)`

Method Summary
`void` | `doCancelTraceClasses(java.lang.Integer cmd_id, java.util.List args)` 'cancel_trace_classes' command.
`void` | `doCancelTraceMethods(java.lang.Integer cmd_id, java.util.List args)` 'cancel_trace_methods' command.
`void` | `doEvaluate(java.lang.Integer cmd_id, java.util.List args)` 'evaluate' command.
`void` | `doFinish(java.lang.Integer cmd_id, java.util.List args)` 'finish' command.
`void` | `doGetArray(java.lang.Integer cmd_id, java.util.List args)` 'get_array' command.
`void` | `doGetLoadedClasses(java.lang.Integer cmd_id, java.util.List args)` 'get_loaded_classes' command.
`void` | `doGetLocals(java.lang.Integer cmd_id, java.util.List args)` 'get_locals' command.
`void` | `doGetObject(java.lang.Integer cmd_id, java.util.List args)` 'get_object' command.
`void` | `doGetPathInformation(java.lang.Integer cmd_id, java.util.List args)` 'get_path_information' command.
`void` | `doGetString(java.lang.Integer cmd_id, java.util.List args)` 'get_string' command.
`void` | `doRun(java.lang.Integer cmd_id, java.util.List args)` 'run' command.
`void` | `doTraceClasses(java.lang.Integer cmd_id, java.util.List args)` 'trace_classes' command.
`void` | `doTraceMethods(java.lang.Integer cmd_id, java.util.List args)` 'trace_methods' command.

Methods inherited from class jde.debugger.ApplicationCommands
`addIdentifiableRequest, deleteIdentifiableRequest`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### GeneralCommands

    public GeneralCommands(Application a,
                           ObjectStore s)

Method Detail

### doRun

    public void doRun(java.lang.Integer cmd_id,
                      java.util.List args)
               throws JDEException

  'run' command.

  Syntax:

       run

### doFinish

    public void doFinish(java.lang.Integer cmd_id,
                         java.util.List args)

  'finish' command.

  Syntax:

       finish

  Comments:
  - if multiple VMs are being debugged, this command will kill the one corresponding to app_id, retaining others.

### doTraceClasses

    public void doTraceClasses(java.lang.Integer cmd_id,
                               java.util.List args)
                        throws JDEException

  'trace_classes' command.

  Syntax:

       trace_classes type
            [suspend-policy]
            [class-filters]
            [class-exclusion-filters]

  Returns:

       (jde-dbo-command-result cmd_id requestID)

  Comments:
  - type is either "preparation" or "unloading"
  - use requestID to cancel the trace request.

  See Also:
    `EventHandler.classPrepareEvent(ClassPrepareEvent)`, `EventHandler.classUnloadEvent(ClassUnloadEvent)`

### doCancelTraceClasses

    public void doCancelTraceClasses(java.lang.Integer cmd_id,
                                     java.util.List args)
                              throws JDEException

  'cancel_trace_classes' command.

  Syntax:

       cancel_trace_classes requestID

  Comments:
  - requestID is returned in the trace classes reply

### doTraceMethods

    public void doTraceMethods(java.lang.Integer cmd_id,
                               java.util.List args)
                        throws JDEException

  'trace_methods' command.

  Syntax:

       trace_methods type
            [thread-restriction]
            [suspend-policy]
            [class-filters]
            [class-exclusion-filters]

  Returns:

       (jde-dbo-command-result cmd_id requestID)

  Comments:
  - type is either "entry" or "exit"
  - Use requestID to cancel the trace request.

  See Also:
    `EventHandler.methodEntryEvent(MethodEntryEvent)`, `EventHandler.methodExitEvent(MethodExitEvent)`

### doCancelTraceMethods

    public void doCancelTraceMethods(java.lang.Integer cmd_id,
                                     java.util.List args)
                              throws JDEException

  'cancel_trace_methods' command.

  Syntax:

       cancel_trace_methods requestID

  Comments:
  - requestID is returned in the trace methods reply

### doGetLocals

    public void doGetLocals(java.lang.Integer cmd_id,
                            java.util.List args)
                     throws JDEException

  'get_locals' command. Returns all locals in the stack frame

  Syntax:

       get_locals threadID stackFrameIndex

  Returns:

       (jde-dbo-command-result cmd_id local-variables-values)

  Comments:
  - Note that stackFrameIndex = 0 corresponds to the current stackframe.
  - The threadID and stackFrameIndex can be got from the 'get_threads' command. Note that many evaluations might not be possible depending on the state of the thread

### doEvaluate

    public void doEvaluate(java.lang.Integer cmd_id,
                           java.util.List args)
                    throws JDEException

  'evaluate' command.

  Syntax:

       evaluate threadID stackFrameIndex "expression"

  Returns:

       (jde-dbo-command-result cmd_id value)

  Comments:
  - Note that stackFrameIndex = 0 corresponds to the current stackframe.
  - The threadID and stackFrameIndex can be got from the 'get_threads' command. Note that many evaluations might not be possible depending on the state of the thread

### doGetObject

    public void doGetObject(java.lang.Integer cmd_id,
                            java.util.List args)
                     throws JDEException

  'get_object' command. Information about a particular object.

  Syntax:

       get_object objectID

  Returns:

       (jde-dbo-command-result cmd_id detailed-object-info)

### doGetArray

    public void doGetArray(java.lang.Integer cmd_id,
                           java.util.List args)
                    throws JDEException

  'get_array' command. Information about a given array, and, optionally, values of a range of indices

  Syntax:

       get_array objectID [index, length]

  Returns:

       (jde-dbo-command-result cmd_id array)

### doGetString

    public void doGetString(java.lang.Integer cmd_id,
                            java.util.List args)
                     throws JDEException

  'get_string' command. Returns the value of a string

  Syntax:

       get_string objectID

  Returns:

       (jde-dbo-command-result cmd_id string-representation)

### doGetLoadedClasses

    public void doGetLoadedClasses(java.lang.Integer cmd_id,
                                   java.util.List args)
                            throws JDEException

  'get_loaded_classes' command. Returns a list of all loaded classes

  Syntax:

       get_loaded_classes

  Returns:

       (jde-dbo-command-result cmd_id (list ["type-name"]*))

### doGetPathInformation

    public void doGetPathInformation(java.lang.Integer cmd_id,
                                     java.util.List args)
                              throws JDEException

  'get_path_information' command. Returns all the vm knows about paths.

  Syntax:

       get_path_information

  Returns:

       (jde-dbo-command-result cmd_id "base-directory" (list [boot-class-path component]*) (list [class-path component]*))

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD